# Memcached::replace

(PECL memcached >= 0.1.0)

Memcached::replace — Reemplaza un ítem asociado a una clave existente

### Descripción

public Memcached::replace(string `$key`, mixed `$value`, int `$expiration` = ?): bool

Memcached::replace() es similar a Memcached::set(), pero la operación fallará si la clave dada por `key` no existe en el servidor.

### Parámetros

`key`

  La clave en la que se guardará el valor.

`value`

  El valor a guardar.

`expiration`

  Tiempo de expiración, que por defecto es 0. Ver Tiempos de expiración para más información.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. Memcached::getResultCode() devolverá `Memcached::RES_NOTSTORED` si la clave no existe.

### Ver también

- Memcached::replaceByKey() - Reemplazar un ítem bajo una clave existente en un servidor específico
- Memcached::set() - Guardar un ítem
- Memcached::add() - Añade un ítem asociado a una nueva clave